Name:           aspcud
Version:        1.9.1
Release:        1%{?dist}
Summary:        Solver for package dependencies

Group:          Applications/Engineering
License:        GPLv2
URL:            http://potassco.sourceforge.net
Source0:        http://downloads.sourceforge.net/potassco/%{name}-%{version}-source.tar.gz
Patch0:         aspcud-1.9.0-unbundle-lemon.patch

BuildRequires:  boost-devel >= 1.43
BuildRequires:  cmake >= 2.6
BuildRequires:  lemon
BuildRequires:  re2c >= 0.13
BuildRequires:  texlive-collection-latexrecommended
BuildRequires:  texlive-preprint
Requires:       clasp >= 3.0.0
Requires:       gringo >= 4.2.1

%package examples
Summary:        Examples for %{name}, a solver for package dependencies
BuildArch:      noarch

%description
Aspcud is a solver for package dependencies. A package universe and a request to
install, remove, or upgrade packages have to be encoded in the CUDF format. Such
a CUDF document can then be passed to aspcud along with an optimization criteria
to obtain a solution to the given package problem.

%description examples
This package contains examples that are distributed with %{name} %{version}

%prep
%setup -qn %{name}-%{version}-source
%patch0 -p1

# Use system lemon
rm -rf lemon

# Fix some FSF addresses in sources
for f in `find libprogram_opts -name '*.cpp'` `find libprogram_opts -name '*.h'`; do
    sed -i 's/59 Temple Place, Suite 330, Boston, MA  02111-1307  USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA/' $f
done

%build
mkdir -p build/debug
pushd build/debug
%cmake ../.. -DCMAKE_BUILD_TYPE=Debug -DCMAKE_CXX_FLAGS="%{optflags} -fpermissive"
popd
make %{?_smp_mflags} -C build/debug

pushd doc
pdflatex misc2012.tex
# Run again to match up labels
pdflatex misc2012.tex
popd

%install
make %{?_smp_mflags} install -C build/debug DESTDIR=%{buildroot}

%files
%doc CHANGES COPYING README doc/misc2012.pdf
%{_bindir}/%{name}
%{_bindir}/cudf2lp
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/cudf2lp.1.gz

%files examples
%doc examples

%changelog
* Wed Apr 23 2014 Scott K Logan <logans@cottsay.net> - 1.9.0-1
- Initial package
